/*
 * Copyright © 2012 Nokia Corporation. All rights reserved.
 * Nokia and Nokia Connecting People are registered trademarks of Nokia Corporation.
 * Oracle and Java are trademarks or registered trademarks of Oracle and/or its
 * affiliates. Other product and company names mentioned herein may be trademarks
 * or trade names of their respective owners.
 * See LICENSE.TXT for license information.
 */
package com.nokia.example.battletank;

import com.nokia.mid.payment.IAPClientPaymentListener;

public class Messages {

    public static final String LEVEL_LOAD_ERROR = "Loading level failed. This "
        + "might happen if DRM protected content cannot be read. If the "
        + "problem persists and you have already purchased the game, "
        + "please contact the game vendor.";

    public static String getPaymentError(int code) {
        switch (code) {
            case IAPClientPaymentListener.NO_PMT_METHODS:
                return "No payment methods are set up in your Ovi account. "
                    + "Please enable some of the methods to be able to "
                    + "proceed.";
            case IAPClientPaymentListener.OVI_SIGN_IN_FAILED:
                return "Cannot sign in to your Ovi Account. Please check "
                    + "your credentials.";
            case IAPClientPaymentListener.RESTORATION_DEVICE_LMT_EXCEEDED:
                return "Unfortunately the number of restorations allowed on "
                    + "the device has exceeded limit.";
            case IAPClientPaymentListener.RESTORATION_LMT_EXCEEDED:
                return "Unfortunately the number of restorations allowed for "
                    + "this item has exceeded limit.";
            case IAPClientPaymentListener.RESTORATION_FAILED:
            case IAPClientPaymentListener.RESTORATION_NOT_ALLOWED:
                return "It seems you haven't purchased the game yet, and "
                    + "therefore restoration of full version is not"
                    + "possible. Please, use the purchasing options to "
                    + "gain access for the full experience.";
            case IAPClientPaymentListener.SMS_PMT_FAILED:
                return "Sending SMS has failed in operator payment.";
            default:
                return "There was a problem with Ovi Services. Please try "
                    + "again later. If the problem persists, please "
                    + "contact the game vendor.";
        }
    }
}
